mscorlib 4.0.0.0 DefaultConstructorConstraint NotNullableValueTypeConstraint System.ValueType System.Security.AccessControl.NativeObjectSecurity To be added.

Access rights (permissions) are type T, which you can type-cast to or from an int. For example, you can cast a as the access rights type, and then use the instance normally. In contrast, always takes access rights of type int.

Provides the ability to control access to objects without direct manipulation of Access Control Lists (ACLs); also grants the ability to type-cast access rights.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the ObjectSecurity`1 class.

  true if the new object is a container object.
  The type of resource.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the ObjectSecurity`1 class.

  true if the new object is a container object.
  The type of resource.
  A handle.
  The sections to include.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the ObjectSecurity`1 class.

  true if the new object is a container object.
  The type of resource.
  The name of the securable object with which the new object is associated.
  The sections to include.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the Type of the securable object associated with this ObjectSecurity`1 object.

- Method
  4.0.0.0
  System.Security.AccessControl.AccessRule `` `` `` `` `` `` To be added.

  Initializes a new instance of the ObjectAccessRule class that represents a new access control rule for the associated security object.

  Represents a new access control rule for the specified user, with the specified access rights, access control, and flags.

  Represents a user account. The access type. true if the access rule is inherited; otherwise, false. Specifies how to propagate access masks to child objects. Specifies how to propagate Access Control Entries (ACEs) to child objects. Specifies whether access is allowed or denied.
- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the Type of the object associated with the access rules of this ObjectSecurity`1 object.

- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Security.AccessControl.AuditRule `` `` `` `` `` `` To be added.

  Initializes a new instance of the class representing the specified audit rule for the specified user.

  Returns the specified audit rule for the specified user.

  Represents a user account. An integer that specifies an access type. true if the access rule is inherited; otherwise, false. Specifies how to propagate access masks to child objects. Specifies how to propagate Access Control Entries (ACEs) to child objects. Describes the type of auditing to perform.
- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the Type object associated with the audit rules of this ObjectSecurity`1 object.

- Method
  4.0.0.0
  System.Void `` To be added.

  Saves the security descriptor associated with this ObjectSecurity`1 object to permanent storage, using the specified handle.

  The handle of the securable object with which this ObjectSecurity`1 object is associated.
- Method
  4.0.0.0
  System.Void `` To be added.

  Saves the security descriptor associated with this ObjectSecurity`1 object to permanent storage, using the specified name.

  The name of the securable object with which this ObjectSecurity`1 object is associated.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.